import type { _NSIndexSet } from "./NSIndexSet.js";
import type { NSRange } from "../structs/NSRange.js";
export declare class _NSMutableIndexSet extends _NSIndexSet {
    static alloc(): _NSMutableIndexSet;
    static new(): _NSMutableIndexSet;
    init(): _NSMutableIndexSet;
    addIndexes$(indexSet: _NSIndexSet): void;
    removeIndexes$(indexSet: _NSIndexSet): void;
    removeAllIndexes(): void;
    addIndex$(value: number): void;
    removeIndex$(value: number): void;
    addIndexesInRange$(range: NSRange): void;
    removeIndexesInRange$(range: NSRange): void;
    /**
     * For a positive delta, shifts the indexes in [index, INT_MAX] to the right, thereby inserting an "empty space" [index, delta], for a negative delta, shifts the indexes in [index, INT_MAX] to the left, thereby deleting the indexes in the range [index - delta, delta].
     */
    shiftIndexesStartingAtIndex$by$(index: number, delta: number): void;
}
